summaryrefslogtreecommitdiff
path: root/nonsystemd/avahi-openrc/autoipd-openrc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/avahi-openrc/autoipd-openrc.sh')
-rw-r--r--nonsystemd/avahi-openrc/autoipd-openrc.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/nonsystemd/avahi-openrc/autoipd-openrc.sh b/nonsystemd/avahi-openrc/autoipd-openrc.sh
new file mode 100644
index 000000000..749085228
--- /dev/null
+++ b/nonsystemd/avahi-openrc/autoipd-openrc.sh
@@ -0,0 +1,32 @@
+# Copyright (C) 2004-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# Contributed by Sven Wegener (swegener@gentoo.org)
+
+_config_vars="$_config_vars autoipd"
+
+autoipd_depend() {
+ program /usr/bin/avahi-autoipd
+ after interface
+}
+
+autoipd_start() {
+ _exists true || return 1
+
+ eval args=\$autoipd_${IFVAR}
+
+ ebegin "Starting avahi-autoipd"
+ /usr/bin/avahi-autoipd --daemonize --syslog --wait ${args} "${IFACE}"
+ eend "${?}" || return 1
+
+ _show_address
+
+ return 0
+}
+
+autoipd_stop() {
+ /usr/bin/avahi-autoipd --check --syslog "${IFACE}" || return 0
+
+ ebegin "Stopping avahi-autoipd"
+ /usr/bin/avahi-autoipd --kill --syslog "${IFACE}"
+ eend "${?}"
+}